blk_complete_request
Prev | Chapter 19. Block Devices | Next

## Name

blk_complete_request — end I/O on a request

## Synopsis

`void blk_complete_request (` | struct request * | req`)`;

## Arguments

`req`

  the request being processed

## Description

Ends all I/O on a request. It does not handle partial completions, unless the driver actually implements this in its completion callback through requeueing. Theh actual completion happens out-of-order, through a softirq handler. The user must have registered a completion callback through `blk_queue_softirq_done`.

Prev | Up | Next
end_that_request_chunk | Home | Chapter 20. Char devices